Package org.jbpm.services.task.commands

## Class GetTaskOwnedByExpDateBeforeDateCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<T>
  - - org.jbpm.services.task.commands.UserGroupCallbackTaskCommand<List<org.kie.api.task.model.TaskSummary>>
    - - org.jbpm.services.task.commands.GetTaskOwnedByExpDateBeforeDateCommand

- All Implemented Interfaces:
    `Serializable`, `org.kie.api.command.Command<List<org.kie.api.task.model.TaskSummary>>`, `org.kie.api.command.ExecutableCommand<List<org.kie.api.task.model.TaskSummary>>`

      public class GetTaskOwnedByExpDateBeforeDateCommand
      extends UserGroupCallbackTaskCommand<List<org.kie.api.task.model.TaskSummary>>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GetTaskOwnedByExpDateBeforeDateCommand()` |
    `GetTaskOwnedByExpDateBeforeDateCommand​(String userId, List<org.kie.api.task.model.Status> status, Date expirationDate)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<org.kie.api.task.model.TaskSummary>` | `execute​(org.kie.api.runtime.Context cntxt)` |
    `Date` | `getExpirationDate()` |
    `List<org.kie.api.task.model.Status>` | `getStatuses()` |
    `void` | `setExpirationDate​(Date expirationDate)` |
    `void` | `setStatuses​(List<org.kie.api.task.model.Status> status)` |

    - ### Methods inherited from class org.jbpm.services.task.commands.UserGroupCallbackTaskCommand

      `addEmailFromCallbackOperation, addGroupFromCallbackOperation, addUserFromCallbackOperation, doCallbackAndReturnUserOperation, doCallbackEmailOperation, doCallbackGroupOperation, doCallbackGroupsOperation, doCallbackOperationForAttachment, doCallbackOperationForComment, doCallbackOperationForPeopleAssignments, doCallbackOperationForPotentialOwners, doCallbackOperationForTaskData, doCallbackOperationForTaskDeadlines, doCallbackUserOperation, doCallbackUserOperation, doUserGroupCallbackOperation, filterGroups, isBusinessAdmin, persistIfNotExists`

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetTaskOwnedByExpDateBeforeDateCommand

          public GetTaskOwnedByExpDateBeforeDateCommand()

    - #### GetTaskOwnedByExpDateBeforeDateCommand

          public GetTaskOwnedByExpDateBeforeDateCommand​(String userId,
                                                        List<org.kie.api.task.model.Status> status,
                                                        Date expirationDate)

  - ### Method Detail

    - #### getStatuses

          public List<org.kie.api.task.model.Status> getStatuses()

    - #### setStatuses

          public void setStatuses​(List<org.kie.api.task.model.Status> status)

    - #### getExpirationDate

          public Date getExpirationDate()

    - #### setExpirationDate

          public void setExpirationDate​(Date expirationDate)

    - #### execute

          public List<org.kie.api.task.model.TaskSummary> execute​(org.kie.api.runtime.Context cntxt)

      Specified by:
        `execute` in interface `org.kie.api.command.ExecutableCommand<List<org.kie.api.task.model.TaskSummary>>`
      Overrides:
        `execute` in class `UserGroupCallbackTaskCommand<List<org.kie.api.task.model.TaskSummary>>`